function BB = B(Y,expW,delta,Z,n)

[YY,I]=sort(Y);
expWW = expW(I);
deltaa = delta(I);
ZZ = Z(I);
Lambda = zeros(n,1);
expWZ2 = expWW.*(ZZ.^2);
expWZ = expWW.*ZZ;

Ytk = (YY >= YY(1));
Lambda(1) = (1/sum(Ytk.*expWW))*deltaa(1);
BB = (sum(Ytk.*expWZ2)/sum(Ytk.*expWW) - (sum(Ytk.*expWZ)/sum(Ytk.*expWW))^2) ...
    * mean(Ytk.*expWW) * Lambda(1);

for k = 2:n
    
    if(YY(k) < 1)

        Ytk = (YY >= YY(k));
        Lambda(k) = Lambda(k-1) + (1/sum(Ytk.*expWW))*deltaa(k);
        BB = BB + (sum(Ytk.*expWZ2)/sum(Ytk.*expWW) - (sum(Ytk.*expWZ)/sum(Ytk.*expWW))^2) ...
            * mean(Ytk.*expWW) * (Lambda(k)-Lambda(k-1));

    end
    
end
