
function multi = eigenfunctionCalculation_LRT(n,lambda,Fst,theta,basis,nbasis,delta,S,X,Z,script_Y,int_X_basis,beta)

eign_no = 30;

L = chebop(0,1);
L.op = @(x,u) diff(u,4);
L.lbc = @(u) [diff(u,2);diff(u,3)];
L.rbc = @(u) [diff(u,2);diff(u,3)];

B = chebop(0,1);
K = @(x,s) F_cheb(x,s,Fst);
B.op = @(u) fred(K,u);
[E,D] = eigs(L,B,eign_no);

% Likelihood Ratio Test
sigma2 = 0;
rho2 = 0;
for j = 1:eign_no % iterate over normalized eigenfunctions h_j
            sigma2 = sigma2 + 1/((1+lambda*D(j,j)));
            rho2 = rho2 + 1/((1+lambda*D(j,j))^2);
end

PLRT = real_log_likelihood(delta,lambda,X,Z,script_Y,n,beta)- estimate_log_likelihood(theta,basis,nbasis,delta,lambda,S,X,Z,script_Y,n,int_X_basis); 

multi = sqrt(1/(2*(sigma2^2)/rho2))*(-2*n*(sigma2/rho2)*PLRT - (sigma2^2)/rho2);



