function multi = eigenfunctionCalculation(n,lambda,Fst)

eign_no = 30;

L = chebop(0,1);
L.op = @(x,u) diff(u,4);
L.lbc = @(u) [diff(u,2);diff(u,3)];
L.rbc = @(u) [diff(u,2);diff(u,3)];

B = chebop(0,1);
K = @(x,s) F_cheb(x,s,Fst);
B.op = @(u) fred(K,u);
[E,D] = eigs(L,B,eign_no);

% normalizing eigenfunction
V_yy = zeros(eign_no,1);
h = 1/100;
size_A = 100;
for k = 1:eign_no
        eign_y = chebfun(E(:,k));
        for i = 1:size_A
            for j = 1:size_A
                V_yy(k) = V_yy(k) + Fst(i,j)*eign_y(i*h)*eign_y(j*h)*h*h;
            end
        end
        E(:,k) = E(:,k)/sqrt(V_yy(k));
end

% caculating the deominator of the test statistics
denom = zeros(size_A,1);
for i = 1:size_A % iterate over t in [0,1]
    for j = 1:eign_no % iterate over normalized eigenfunctions h_j
            eign_y = chebfun(E(:,j));
            denom(i) = denom(i) + ((eign_y(i*h))^2)/((1+lambda*D(j,j))^2);
    end
end
multi = sqrt(n)./sqrt(denom);



