function negLL = neg_log_likelihood(theta,basis,nbasis,delta,lambda,S,X,Z,script_Y,n,int_X_basis)

theta_Z = theta(1);
theta_X = theta(2:(nbasis+1));

eta = zeros(n,1);
for i = 1:nbasis
    eta = eta + int_X_basis(:,i) * theta_X(i);
end
eta = eta + theta_Z*Z;

negLL = -(delta' * (eta - log(script_Y' * exp(eta)/n))/n - (lambda/2)* theta_X' * S * theta_X) ;

